Bug 471308 - Cannot make connection Available to all users
Cannot make connection Available to all users
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: NetworkManager (Show other bugs)
10
All Linux
medium Severity medium
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks: F10Target
  Show dependency treegraph
 
Reported: 2008-11-12 16:42 EST by Jesse Keating
Modified: 2013-01-09 22:25 EST (History)
8 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-12-21 18:38:19 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jesse Keating 2008-11-12 16:42:42 EST
I've created a static connection configuration for my wired ethernet.  However when I check the box to make it available to all users, I get an error dialog that says:

Adding connection failed: None of the registered plugins support add..

quite literally it cuts off at the add..
Comment 1 Fedora Update System 2008-11-23 17:54:58 EST
NetworkManager-pptp-0.7.0-0.12.svn4326.fc10,NetworkManager-openvpn-0.7.0-16.svn4326.fc10,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc10,NetworkManager-0.7.0-0.12.svn4326.fc10 has been submitted as an update for Fedora 10.
http://admin.fedoraproject.org/updates/NetworkManager-pptp-0.7.0-0.12.svn4326.fc10,NetworkManager-openvpn-0.7.0-16.svn4326.fc10,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc10,NetworkManager-0.7.0-0.12.svn4326.fc10
Comment 2 Fedora Update System 2008-11-23 18:04:44 EST
NetworkManager-0.7.0-0.12.svn4326.fc9,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9,NetworkManager-openvpn-0.7.0-16.svn4326.fc9,NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been submitted as an update for Fedora 9.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-0.12.svn4326.fc9,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9,NetworkManager-openvpn-0.7.0-16.svn4326.fc9,NetworkManager-pptp-0.7.0-0.12.svn4326.fc9
Comment 3 Fedora Update System 2008-11-23 18:07:18 EST
NetworkManager-0.7.0-0.12.svn4326.fc8,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8,NetworkManager-openvpn-0.7.0-16.svn4326.fc8,NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been submitted as an update for Fedora 8.
http://admin.fedoraproject.org/updates/NetworkManager-0.7.0-0.12.svn4326.fc8,NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8,NetworkManager-openvpn-0.7.0-16.svn4326.fc8,NetworkManager-pptp-0.7.0-0.12.svn4326.fc8
Comment 4 Bug Zapper 2008-11-26 00:16:12 EST
This bug appears to have been reported against 'rawhide' during the Fedora 10 development cycle.
Changing version to '10'.

More information and reason for this action is here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping
Comment 5 Fedora Update System 2008-11-26 01:14:49 EST
NetworkManager-0.7.0-0.12.svn4326.fc8, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8, NetworkManager-openvpn-0.7.0-16.svn4326.fc8, NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been pushed to the Fedora 8 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update NetworkManager NetworkManager-vpnc NetworkManager-openvpn NetworkManager-pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F8/FEDORA-2008-10263
Comment 6 Fedora Update System 2008-11-26 01:18:50 EST
NetworkManager-0.7.0-0.12.svn4326.fc9, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9, NetworkManager-openvpn-0.7.0-16.svn4326.fc9, NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been pushed to the Fedora 9 testing repository.  If problems still persist, please make note of it in this bug report.
 If you want to test the update, you can install it with 
 su -c 'yum --enablerepo=updates-testing-newkey update NetworkManager NetworkManager-vpnc NetworkManager-openvpn NetworkManager-pptp'.  You can provide feedback for this update here: http://admin.fedoraproject.org/updates/F9/FEDORA-2008-10321
Comment 7 Fedora Update System 2008-11-26 01:22:39 EST
NetworkManager-pptp-0.7.0-0.12.svn4326.fc10, NetworkManager-openvpn-0.7.0-16.svn4326.fc10, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc10, NetworkManager-0.7.0-0.12.svn4326.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Christian Nolte 2008-12-04 13:39:24 EST
Still impossible to make connections available to all users using

  NetworkManager-0.7.0-0.12.svn4326.fc10.i386

The option is now simply greyed out (i.e. disabled for user input).
Comment 9 Dan Williams 2008-12-05 17:53:36 EST
Have you added the 'keyfile' plugin to your /etc/NetworkManager/nm-system-settings.conf and 'killall -TERM nm-system-settings'?  The default ifcfg plugin does not support modifying or adding connections.
Comment 10 Christian Nolte 2008-12-06 08:39:44 EST
I enabled the keyfile plugin. The option is now enabled but after I click on apply and PolicyKit asks for proper authentification all I get is an access denied message.
Comment 11 Dan Williams 2008-12-09 12:10:48 EST
Does this command show similar output for you?

[dcbw@localhost ~]$ polkit-auth --show-obtainable | grep network
org.freedesktop.network-manager-settings.system.modify

how about the output of this one?

[dcbw@localhost ~]$ polkit-action --action org.freedesktop.network-manager-settings.system.modify
action_id:        org.freedesktop.network-manager-settings.system.modify
description:      Modify system connections
message:          System policy prevents modification of system settings
default_any:      no
default_inactive: no
default_active:   auth_admin (factory default: auth_admin_keep_always)
Comment 12 Christian Nolte 2008-12-09 12:23:10 EST
[nolte@ravine ~]$ polkit-auth --show-obtainable | grep network
org.freedesktop.network-manager-settings.system.modify

[nolte@ravine ~]$ polkit-action --action \
org.freedesktop.network-manager-settings.system.modify
action_id:        org.freedesktop.network-manager-settings.system.modify
description:      Modify system connections
message:          System policy prevents modification of system settings
default_any:      no
default_inactive: no
default_active:   auth_admin_keep_always
Comment 13 Dan Williams 2008-12-09 12:35:32 EST
[dcbw@localhost ~]$ polkit-auth --obtain org.freedesktop.network-manager-settings.system.modify

What's the result of that command?  An error of any sort?  That's essentially what nm-connection-editor is doing anyway.
Comment 14 Christian Nolte 2008-12-09 12:42:56 EST
I get no error message, but the return code seems interesting:

[nolte@ravine ~]$ polkit-auth --obtain \
org.freedesktop.network-manager-settings.system.modify
[nolte@ravine ~]$ echo $?
0
[nolte@ravine ~]$ polkit-auth --obtain \
org.freedesktop.network-manager-settings.system.modify 
[nolte@ravine ~]$ echo $?
1
Comment 15 Fedora Update System 2008-12-21 18:37:17 EST
NetworkManager-0.7.0-0.12.svn4326.fc9, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc9, NetworkManager-openvpn-0.7.0-16.svn4326.fc9, NetworkManager-pptp-0.7.0-0.12.svn4326.fc9 has been pushed to the Fedora 9 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 16 Fedora Update System 2008-12-21 18:42:31 EST
NetworkManager-0.7.0-0.12.svn4326.fc8, NetworkManager-vpnc-0.7.0-0.11.svn4326.fc8, NetworkManager-openvpn-0.7.0-16.svn4326.fc8, NetworkManager-pptp-0.7.0-0.12.svn4326.fc8 has been pushed to the Fedora 8 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 17 Makoto Mizukami 2009-01-04 23:57:48 EST
If this issue is same to mine, the problem will be resolved.
I also failed to generate global settings, then I made a directory '/etc/NetworkManager/system-connections' with this command:

$ su -c 'mkdir /etc/NetworkManager/system-connections'

Now it became possible to create connections which is available to all users!
Of course, I enabled keyfile plugin and reload config file.

Also see these pages:
http://ubuntuforums.org/showthread.php?t=899421
https://bugs.launchpad.net/ubuntu/+source/network-manager/+bug/255839

By the way, why this directory is not contained in the NM packages...??  Is this THE bug?
Comment 18 Makoto Mizukami 2009-01-05 07:53:12 EST
Sorry, I had forgotten to write my NM's version,,,

$ yum list installed NetworkManager*
Excluding Packages in global exclude list
Finished
Installed Packages
NetworkManager.i386                1:0.7.0-0.12.svn4326.fc10           installed
NetworkManager-glib.i386           1:0.7.0-0.12.svn4326.fc10           installed
NetworkManager-gnome.i386          1:0.7.0-0.12.svn4326.fc10           installed

As you know, this version is the latest in the stable repository.
However, I found out that the latest development package, NetworkManager-0.7.0-1.git20090102.fc11.i386.rpm contains that directory, so this problem may be fixed in F11.

Thanks
Comment 19 J. Bruce Fields 2009-01-20 17:14:15 EST
On a new install of Fedora 10, I tried to configure a "available to all users" connection and got the truncated "Adding connection failed" message mentioned in the original report.

I tried a yum update (to NetworkManager-0.7.0-1.git20090102.fc10.x86_64), and retried the configuration, but this time found the option grayed out.

I checked that the /etc/NetworkManager/system-connections directory existed, as suggested in #17, and it did.  So the bug appears to still be there.

(My next attempt, by the way, was to use the system->adminstration->network dialog; after a couple reboots I found that didn't actually work unless I did both a chkconfig NetworkManager off and chkconfig network on.  That's working.  Apologies if this isn't the correct place to make a note of this, but: configuring a simple static ip that comes up on boot is a common task, and needs to be documented someplace.)
Comment 20 Makoto Mizukami 2009-01-22 08:32:34 EST
> #19
Please make sure that nm's "keyfile" plugin is switched on.  Check "/etc/NetworkManager/nm-system-settings.conf" on your system.  You can enable this plugin by adding ",keyfile" like this:

$ cat /etc/NetworkManager/nm-system-settings.conf
[main]
plugins=ifcfg-fedora,keyfile

In my case, it works very well.
Without this option, in my case, the option was grayed out when nm works properly (and I think it is the original problem of this bug).

If your problem isn't solved even though you have configured to use the keyfile plugin, that may be another problem.

I also want to tell you that if nm's "Available to all users" feature works well, you can make a static IP connection with nm, as I'm doing!

> To all
I also found out that the current stable package of nm contains system-connections directory... How careless I am!
However it is also the fact that my updated system didn't have "/etc/NetworkManager/system-connections" when I checked it...

Then, I suggest you developers to set the "keyfile" option as default.  Many users seems to had switched off NetworkManager and be using general ifcfg - that is not beneficial for both developers and users.
Comment 21 Dan Williams 2009-01-22 10:39:44 EST
Note that in F10 as of last week, there was a bug with SELinux relating to PolicyKit that would prevent nm-connection-editor from making a connection system-wide while SELinux was in enforcing mode (to be precise, SELinux was mislabeling /var/lib/misc/PolicyKit.reload which all PK-enabled apps use to become aware of privilege changes).  This would result in an error dialog with the error "permission denied" when trying to make connections available to all users, or move a system connection back to a user connection.
Comment 22 J. Bruce Fields 2009-01-22 12:34:15 EST
I ran "yum update" and it didn't report any available upgrades.  I tried adding ",keyfile" to /etc/NetworkManager/nm-system-settings.conf as described in #20, then stopping network and restarting NetworkManager.  I still see the "Available to all users" feature grayed out.
Comment 23 Dan Williams 2009-01-22 17:24:01 EST
(In reply to comment #22)
> I ran "yum update" and it didn't report any available upgrades.  I tried adding
> ",keyfile" to /etc/NetworkManager/nm-system-settings.conf as described in #20,
> then stopping network and restarting NetworkManager.  I still see the
> "Available to all users" feature grayed out.

The magic bit is "killall -TERM nm-system-settings" as root.
Comment 24 feddy 2009-01-24 15:37:23 EST
Another KEY FACTOR:

Having wasted a day on this bummer I finally got my network connected and finished the Fed 10 installation. 

One thing I discovered was that you must _deactivate_ the "make available to all users" option until you get the connection configured right, otherwise any changes are lost straight away. 

This is actually another issue that just adds to the pain of working around this one.

In fact there is a whole bunch of bugs here and this clearly was very poorly tested (if at all!).

The SEVERITY really should be critical on this not medium, this lea
Comment 25 Christian Nolte 2009-02-09 13:14:42 EST
I still get the policy-kit authentication rejection mentioned in comment #10... Any ideas about this?
Comment 26 Makoto Mizukami 2009-02-11 05:45:04 EST
Please change SELinux mode into Permissive mode, and try it again. If it releases you form that rejection, this means that your problem is in SE as mentioned in comment #21.
NOTE that setting SELinux Permissive mode somtimes causes critical security problems.
Comment 27 Christian Nolte 2009-02-11 15:08:47 EST
Ok thanks. Doing a "setenforce 0" before making the connection available to all users did the trick.
Comment 28 feddy 2009-02-12 08:52:41 EST
why has this been pushed off to "next release"? Surely absolute basics like being able to set up the network are CRITICAL issues , not better luck next time issues.

URGENT: a fresh Fed10 installation can not do anything with the package manager until it has had access to the repos. You can't even look at what software is installed since the package manager flatly refuses to show any info until it has had net access. 

I would say that in itself is a serious design fault but , that being the case, this issue is even more essential to fix.

Shouldn't this be made available as an urgent update? If an update rpm existed it could at least be installed by CLI rpm command or by konqueror. 

Since this issue also prevents getting all updates into a new system INCLUDING essential security updates, this effectively becomes a security issue itself.

I would say that Fed10 seems to be about the best major distro on current release since many others have glaring issues as well. Suse got thier policykit wrong and often totally fails to auto-mount optical and flash media. Mandriva destroys its own grub.conf after a kernel update pkg and is unbootable as a result, debian (hence Ubuntu) seriously screwed up openSSL by arrogantly "cleaning up" the code without understanding that they were removing virtually all the entropy from the encryption algo. The current situation is grave.

It seems like all linux distros need to pause for breath and start making sure packages are FULLY tested before being released instead of rushing to out do each other chasing release numbers.

Again , I commend Fedora on being better than the rest here but I think this issue suggests the above criticism also applies the Fed10.

Why is this tagged as medium severity?!
https://bugzilla.redhat.com/page.cgi?id=fields.html#bug_severity
>> Medium  	It's a bug that should be fixed eventually.

No sorry, this needs fixing )now_ not eventually. Since a solution has been found an update package should be released a.s.a.p.

Thanks.

Note You need to log in before you can comment on or make changes to this bug.